Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.exceptions
Class DeploymentUnitBuildException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.dsp.management.exceptions.ManagementException
                  com.bea.dsp.management.exceptions.DeploymentUnitBuildException

All Implemented Interfaces:
  java.io.Serializable

    public class DeploymentUnitBuildException

extends ManagementException

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.dsp.management.exceptions.ManagementException
`ManagementException.ErrorCode`

Field Summary
`static java.lang.String` | `LS`

Constructor Summary
`DeploymentUnitBuildException(java.util.List<java.lang.String> validationMessages)`

Method Summary
`java.util.List<java.lang.String>` | `getValidationMessages()`
`java.lang.Throwable` | `initCause(java.lang.Throwable cause)` Note that this method slightly modifies the contract of the corresponding parent method by allowing multiple calls with `null` as argument.
`void` | `printStackTrace(java.io.PrintStream s)`
`void` | `printStackTrace(java.io.PrintWriter s)`

Methods inherited from class com.bea.dsp.management.exceptions.ManagementException
`getErrorCode, serialize`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LS

    public static final java.lang.String LS

Constructor Detail

### DeploymentUnitBuildException

    public DeploymentUnitBuildException(java.util.List<java.lang.String> validationMessages)

Method Detail

### getValidationMessages

    public java.util.List<java.lang.String> getValidationMessages()

### initCause

    public java.lang.Throwable initCause(java.lang.Throwable cause)

  Note that this method slightly modifies the contract of the corresponding parent method by allowing multiple calls with `null` as argument.

  Overrides:
    `initCause` in class `java.lang.Throwable`
  Parameters:
    `cause` - May be `null`.

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.